List custom skills
Lists the custom skills the caller can read.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Query Parameters
organization_id*string
Match
^org_search?string
created_by?string
visibility?string
project_ids?string
source?string
deleted?boolean
limit?integer
Range
1 <= value <= 100cursor?string
Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/skills?organization_id=string"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "codename": "string", "organization_id": "string", "source": "built-in", "name": "string", "description": "string", "author": "string", "project_scoped": true, "visibility": "private", "workspace_role": "viewer", "created_by_id": "string", "mod_shortcut_id": "string", "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304", "listing_version": -2147483648, "listing_edited_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "created_by": { "id": "string", "first_name": "string", "last_name": "string", "email": "string", "image_url": "string" }, "shared": true, "verified": true, "can_edit": true, "can_delete": true, "state": { "workspace_enabled": true, "user_enabled": true, "effective": true }, "resources": { "scripts": 0, "references": 0, "assets": 0 }, "projects": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "title": "string", "emoji": "string" } ] } ], "next_cursor": "string"}